RUM 제외 필터를 업데이트합니다.

Note: This endpoint is in preview and is subject to change. If you have any feedback, contact Datadog support.

PATCH https://api.ap1.datadoghq.com/api/v2/rum/applications/{app_id}/retention_filters/exclusion/{ef_id}https://api.ap2.datadoghq.com/api/v2/rum/applications/{app_id}/retention_filters/exclusion/{ef_id}https://api.datadoghq.eu/api/v2/rum/applications/{app_id}/retention_filters/exclusion/{ef_id}https://api.ddog-gov.com/api/v2/rum/applications/{app_id}/retention_filters/exclusion/{ef_id}https://api.us2.ddog-gov.com/api/v2/rum/applications/{app_id}/retention_filters/exclusion/{ef_id}https://api.uk1.datadoghq.com/api/v2/rum/applications/{app_id}/retention_filters/exclusion/{ef_id}https://api.datadoghq.com/api/v2/rum/applications/{app_id}/retention_filters/exclusion/{ef_id}https://api.us3.datadoghq.com/api/v2/rum/applications/{app_id}/retention_filters/exclusion/{ef_id}https://api.us5.datadoghq.com/api/v2/rum/applications/{app_id}/retention_filters/exclusion/{ef_id}

개요

Update an exclusion filter for a RUM application. For the built-in Error Tracking exclusion filter (error_tracking_exclusion_filter), only enabled can be updated; name, event_type, and query must be omitted. Returns the updated exclusion filter when the request is successful.

인수

경로 파라미터

이름

유형

설명

app_id [required]

string

RUM application ID.

ef_id [required]

string

Exclusion filter ID.

요청

Body Data (required)

New definition of the RUM exclusion filter.

Expand All

항목

유형

설명

data [required]

object

The exclusion filter properties to update.

attributes [required]

object

The attributes of an exclusion filter that can be updated. For the built-in Error Tracking exclusion filter, only enabled can be set; name, event_type, and query must be omitted.

enabled

boolean

Whether the exclusion filter is active.

event_type

enum

The type of RUM events to filter on. Allowed enum values: session,view,action,error,resource,long_task,vital

name

string

The name of the exclusion filter.

query

string

Additional query used to further restrict which RUM events are excluded. Combined with event_type when both are provided.

id [required]

string

The ID of the exclusion filter. Must match the ef_id path parameter.

type [required]

enum

The resource type. The value must be exclusion_filters. Allowed enum values: exclusion_filters

default: exclusion_filters

{
  "data": {
    "attributes": {
      "enabled": true,
      "event_type": "error",
      "name": "Exclude noisy browser extension errors",
      "query": "@error.message:*extension*"
    },
    "id": "051601eb-54a0-abc0-03f9-cc02efa18892",
    "type": "exclusion_filters"
  }
}

응답

Updated

An exclusion filter response body.

Expand All

항목

유형

설명

data

object

An exclusion filter.

attributes

object

The attributes of an exclusion filter.

enabled

boolean

Whether the exclusion filter is active.

event_type

enum

The type of RUM events to filter on. Allowed enum values: session,view,action,error,resource,long_task,vital

name

string

The name of the exclusion filter.

query

string

Additional query used to further restrict which RUM events are excluded. Combined with event_type when both are provided.

id [required]

string

The ID of the exclusion filter.

meta

object

Metadata about the exclusion filter.

enabled_at

int64

Unix epoch (in milliseconds) when the exclusion filter was last enabled.

updated_at

int64

Unix epoch (in milliseconds) of the last update.

updated_by_handle

string

Handle of the user who last updated the exclusion filter.

type [required]

enum

The resource type. The value must be exclusion_filters. Allowed enum values: exclusion_filters

default: exclusion_filters

{
  "data": {
    "attributes": {
      "enabled": true,
      "event_type": "error",
      "name": "Exclude noisy browser extension errors",
      "query": "@error.message:*extension*"
    },
    "id": "051601eb-54a0-abc0-03f9-cc02efa18892",
    "meta": {
      "enabled_at": 1735689600000,
      "updated_at": 1735689600000,
      "updated_by_handle": "jane.doe@example.com"
    },
    "type": "exclusion_filters"
  }
}

Bad Request

API error response.

Expand All

항목

유형

설명

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Not Authorized

API error response.

Expand All

항목

유형

설명

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Not Found

API error response.

Expand All

항목

유형

설명

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Conflict

API error response.

Expand All

항목

유형

설명

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Too many requests

API error response.

Expand All

항목

유형

설명

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

코드 사례

                  ## default
# 

# Path parameters
export app_id="CHANGE_ME"
export ef_id="CHANGE_ME"
# Curl command
curl -X PATCH "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/rum/applications/${app_id}/retention_filters/exclusion/${ef_id}" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \ -d @- << EOF { "data": { "attributes": { "enabled": false, "event_type": "error", "name": "Exclude noisy browser extension errors", "query": "@error.message:*extension*" }, "id": "051601eb-54a0-abc0-03f9-cc02efa18892", "type": "exclusion_filters" } } EOF
"""
Update a RUM exclusion filter returns "Updated" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.rum_retention_filters_api import RumRetentionFiltersApi
from datadog_api_client.v2.model.rum_exclusion_filter_event_type import RumExclusionFilterEventType
from datadog_api_client.v2.model.rum_exclusion_filter_type import RumExclusionFilterType
from datadog_api_client.v2.model.rum_exclusion_filter_update_attributes import RumExclusionFilterUpdateAttributes
from datadog_api_client.v2.model.rum_exclusion_filter_update_data import RumExclusionFilterUpdateData
from datadog_api_client.v2.model.rum_exclusion_filter_update_request import RumExclusionFilterUpdateRequest

body = RumExclusionFilterUpdateRequest(
    data=RumExclusionFilterUpdateData(
        attributes=RumExclusionFilterUpdateAttributes(
            enabled=True,
            event_type=RumExclusionFilterEventType.ERROR,
            name="Exclude noisy browser extension errors",
            query="@error.message:*extension*",
        ),
        id="051601eb-54a0-abc0-03f9-cc02efa18892",
        type=RumExclusionFilterType.EXCLUSION_FILTERS,
    ),
)

configuration = Configuration()
configuration.unstable_operations["update_exclusion_filter"] = True
with ApiClient(configuration) as api_client:
    api_instance = RumRetentionFiltersApi(api_client)
    response = api_instance.update_exclusion_filter(app_id="app_id", ef_id="ef_id", body=body)

    print(response)

Instructions

First install the library and its dependencies and then save the example to example.py and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" python3 "example.py"
# Update a RUM exclusion filter returns "Updated" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.unstable_operations["v2.update_exclusion_filter".to_sym] = true
end
api_instance = DatadogAPIClient::V2::RumRetentionFiltersAPI.new

body = DatadogAPIClient::V2::RumExclusionFilterUpdateRequest.new({
  data: DatadogAPIClient::V2::RumExclusionFilterUpdateData.new({
    attributes: DatadogAPIClient::V2::RumExclusionFilterUpdateAttributes.new({
      enabled: true,
      event_type: DatadogAPIClient::V2::RumExclusionFilterEventType::ERROR,
      name: "Exclude noisy browser extension errors",
      query: "@error.message:*extension*",
    }),
    id: "051601eb-54a0-abc0-03f9-cc02efa18892",
    type: DatadogAPIClient::V2::RumExclusionFilterType::EXCLUSION_FILTERS,
  }),
})
p api_instance.update_exclusion_filter("app_id", "ef_id", body)

Instructions

First install the library and its dependencies and then save the example to example.rb and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" rb "example.rb"
// Update a RUM exclusion filter returns "Updated" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	body := datadogV2.RumExclusionFilterUpdateRequest{
		Data: datadogV2.RumExclusionFilterUpdateData{
			Attributes: datadogV2.RumExclusionFilterUpdateAttributes{
				Enabled:   datadog.PtrBool(true),
				EventType: datadogV2.RUMEXCLUSIONFILTEREVENTTYPE_ERROR.Ptr(),
				Name:      datadog.PtrString("Exclude noisy browser extension errors"),
				Query:     datadog.PtrString("@error.message:*extension*"),
			},
			Id:   "051601eb-54a0-abc0-03f9-cc02efa18892",
			Type: datadogV2.RUMEXCLUSIONFILTERTYPE_EXCLUSION_FILTERS,
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.UpdateExclusionFilter", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewRumRetentionFiltersApi(apiClient)
	resp, r, err := api.UpdateExclusionFilter(ctx, "app_id", "ef_id", body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `RumRetentionFiltersApi.UpdateExclusionFilter`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `RumRetentionFiltersApi.UpdateExclusionFilter`:\n%s\n", responseContent)
}

Instructions

First install the library and its dependencies and then save the example to main.go and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" go run "main.go"
// Update a RUM exclusion filter returns "Updated" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.RumRetentionFiltersApi;
import com.datadog.api.client.v2.model.RumExclusionFilterEventType;
import com.datadog.api.client.v2.model.RumExclusionFilterResponse;
import com.datadog.api.client.v2.model.RumExclusionFilterType;
import com.datadog.api.client.v2.model.RumExclusionFilterUpdateAttributes;
import com.datadog.api.client.v2.model.RumExclusionFilterUpdateData;
import com.datadog.api.client.v2.model.RumExclusionFilterUpdateRequest;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setUnstableOperationEnabled("v2.updateExclusionFilter", true);
    RumRetentionFiltersApi apiInstance = new RumRetentionFiltersApi(defaultClient);

    RumExclusionFilterUpdateRequest body =
        new RumExclusionFilterUpdateRequest()
            .data(
                new RumExclusionFilterUpdateData()
                    .attributes(
                        new RumExclusionFilterUpdateAttributes()
                            .enabled(true)
                            .eventType(RumExclusionFilterEventType.ERROR)
                            .name("Exclude noisy browser extension errors")
                            .query("@error.message:*extension*"))
                    .id("051601eb-54a0-abc0-03f9-cc02efa18892")
                    .type(RumExclusionFilterType.EXCLUSION_FILTERS));

    try {
      RumExclusionFilterResponse result =
          apiInstance.updateExclusionFilter("app_id", "ef_id", body);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling RumRetentionFiltersApi#updateExclusionFilter");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}

Instructions

First install the library and its dependencies and then save the example to Example.java and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" java "Example.java"
// Update a RUM exclusion filter returns "Updated" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_rum_retention_filters::RumRetentionFiltersAPI;
use datadog_api_client::datadogV2::model::RumExclusionFilterEventType;
use datadog_api_client::datadogV2::model::RumExclusionFilterType;
use datadog_api_client::datadogV2::model::RumExclusionFilterUpdateAttributes;
use datadog_api_client::datadogV2::model::RumExclusionFilterUpdateData;
use datadog_api_client::datadogV2::model::RumExclusionFilterUpdateRequest;

#[tokio::main]
async fn main() {
    let body = RumExclusionFilterUpdateRequest::new(RumExclusionFilterUpdateData::new(
        RumExclusionFilterUpdateAttributes::new()
            .enabled(true)
            .event_type(RumExclusionFilterEventType::ERROR)
            .name("Exclude noisy browser extension errors".to_string())
            .query("@error.message:*extension*".to_string()),
        "051601eb-54a0-abc0-03f9-cc02efa18892".to_string(),
        RumExclusionFilterType::EXCLUSION_FILTERS,
    ));
    let mut configuration = datadog::Configuration::new();
    configuration.set_unstable_operation_enabled("v2.UpdateExclusionFilter", true);
    let api = RumRetentionFiltersAPI::with_config(configuration);
    let resp = api
        .update_exclusion_filter("app_id".to_string(), "ef_id".to_string(), body)
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}

Instructions

First install the library and its dependencies and then save the example to src/main.rs and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
/**
 * Update a RUM exclusion filter returns "Updated" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
configuration.unstableOperations["v2.updateExclusionFilter"] = true;
const apiInstance = new v2.RumRetentionFiltersApi(configuration);

const params: v2.RumRetentionFiltersApiUpdateExclusionFilterRequest = {
  body: {
    data: {
      attributes: {
        enabled: true,
        eventType: "error",
        name: "Exclude noisy browser extension errors",
        query: "@error.message:*extension*",
      },
      id: "051601eb-54a0-abc0-03f9-cc02efa18892",
      type: "exclusion_filters",
    },
  },
  appId: "app_id",
  efId: "ef_id",
};

apiInstance
  .updateExclusionFilter(params)
  .then((data: v2.RumExclusionFilterResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));

Instructions

First install the library and its dependencies and then save the example to example.ts and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" tsc "example.ts"